org.cpsolver.ifs

## Class Constants

- java.lang.Object
- - org.cpsolver.ifs.Constants

- Direct Known Subclasses:
    Constants

      public class Constants
      extends Object

  IFS common constants.
  Build number and release date are to be set by apache ant.
  Version:
    IFS 1.3 (Iterative Forward Search)
    Copyright (C) 2006 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getBuildNumber()` Build number
    `static String` | `getReleaseDate()` Release date
    `static String` | `getVersion()` Version

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Constants

          public Constants()

  - ### Method Detail

    - #### getVersion

          public static String getVersion()

      Version
      Returns:
        current solver version

    - #### getBuildNumber

          public static String getBuildNumber()

      Build number
      Returns:
        current solver build number

    - #### getReleaseDate

          public static String getReleaseDate()

      Release date
      Returns:
        current solver release date